On This Page

{#jumplink-list}  
[Markdown](/docs/cybs/en-us/recurring-billing/developer/all/rest/recurring-billing-dev/recur-bill-subscriptions/recur-bill-activating-a-subscription.md)  
Filter  
FILTER BY TAG

Reactivating a Suspended Subscription {#recur-bill-activating-a-subscription}
=============================================================================

You can reactivate a suspended subscription for the next billing cycle. You cannot reactivate a canceled or completed subscription.  
You can specify whether you want to process missed payments for the period during which the subscription was suspended by setting the `processMissedPayments` query parameter to `true` or `false`. If no value is specified, the system will default to `true`.

> IMPORTANT
> The ` processMissedPayments ` query parameter is only effective when the *Ask each time before reactivating* option is selected in the reactivation settings. If any other option is chosen, the value provided in the request will be ignored by the system. For more information, see the [*Recurring Billing User Guide*](https://developer.cybersource.com/docs/cybs/en-us/recurring-billing/user/all/rest/recurring-billing-user/recurring-billing-user-about-guide.md "").  
> You can check how many payments were missed and the total amount by retrieving the subscription details, where you will find the reactivationInformation object. See *[Retrieving a Subscription](https://developer.cybersource.com/docs/cybs/en-us/recurring-billing/developer/all/rest/recurring-billing-dev/recur-bill-subscriptions/recur-bill-getting-a-subscription.md "")*.  
> Follow these steps to re-activate a subscription:

1. In the endpoint path, include the subscription ID that you received when you retrieved a list of subscriptions.
2. (Optional) Specify whether you want to process skipped payments by setting the processMissedPayments query parameter to `true` or `false`. By default it is set to true. When any option other than **Ask each time before reactivating** is selected in the reactivation settings, the value that you enter will be ignored.
3. Send the request to the recurring billing endpoint:  
   Production: `POST https://api.cybersource.com/rbs/v1/subscriptions/{id}/activateactivate?processMissedPayments={true|false}`  
   Test: `POST https://apitest.cybersource.test.com/rbs/v1/subscriptions/{id}/activate?processMissedPayments={true|false}`
4. Verify that the request was successful. A 200-level HTTP response code indicates success. For information about response codes, see [Transaction Response Codes](https://developer.cybersource.com/api/reference/response-codes.md "").{#recur-bill-activating-a-subscription_d9e19}

REST Examples: Reactivating a Suspended Subscription {#recur-bill-activate-a-subscription-examples}
===================================================================================================

Response to a Successful Request

```
{
    "_links": {
        "self": {
            "href": "/rbs/v1/subscriptions/6149715492756032001956",
            "method": "GET"
        },
        "update": {
            "href": "/rbs/v1/subscriptions/6149715492756032001956",
            "method": "PATCH"
        },
        "cancel": {
            "href": "/rbs/v1/subscriptions/6149715492756032001956/cancel",
            "method": "POST"
        },
        "suspend": {
            "href": "/rbs/v1/subscriptions/6149715492756032001956/suspend",
            "method": "POST"
        }
    },
    "id": "6149715492756032001956",
    "status": "COMPLETED",
    "subscriptionInformation": {
        "code": "AWC-35",
        "status": "ACTIVE"
    }
}
```

Response to an Unsuccessful Request

```
{
    "status": "INVALID_REQUEST",
    "reason": "INVALID_DATA",
    "message": "The subscription cannot be reactivated at this time.",
    "details": [
        {
            "field": "subscriptionInformation.status",
            "reason": "INVALID_FOR_ACTIVATION"
        }
    ]
}
```

RELATED TO THIS PAGE

